|  | Home · All Classes · Modules

# QTreeWidgetItemIterator.IteratorFlags Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, IteratorFlags)

### Special Methods

- IteratorFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, IteratorFlags f)
- IteratorFlags __iand__ (self, int f)
- int __int__ (self)
- IteratorFlags __invert__ (self)
- IteratorFlags __ior__ (self, int f)
- IteratorFlags __ixor__ (self, int f)
- bool __ne__ (self, IteratorFlags f)
- IteratorFlags __or__ (self, int f)
- IteratorFlags __xor__ (self, int f)

## Detailed Description

IteratorFlag may be used whenever IteratorFlags is expected.

## Method Documentation

### IteratorFlags.__init__ (self)

### IteratorFlags.__init__ (self, int f)

### IteratorFlags.__init__ (self, IteratorFlags)

### IteratorFlags IteratorFlags.__and__ (self, int f)

### int IteratorFlags.__bool__ (self)

### bool IteratorFlags.__eq__ (self, IteratorFlags f)

### IteratorFlags IteratorFlags.__iand__ (self, int f)

### int IteratorFlags.__int__ (self)

### IteratorFlags IteratorFlags.__invert__ (self)

### IteratorFlags IteratorFlags.__ior__ (self, int f)

### IteratorFlags IteratorFlags.__ixor__ (self, int f)

### bool IteratorFlags.__ne__ (self, IteratorFlags f)

### IteratorFlags IteratorFlags.__or__ (self, int f)

### IteratorFlags IteratorFlags.__xor__ (self, int f)